### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Globals

# xgpio_selftest.c File Reference

## Detailed Description

The implementation of the XGpio component's self test function. See xgpio.h for more information about the component.

Note:

None

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a rmm  02/04/02 First release
     2.00a jhl  01/13/04 Addition of dual channels and interrupts.
     2.11a mta  03/21/07 Updated to new coding style

## Functions
int | XGpio_SelfTest (XGpio *InstancePtr)

## Function Documentation

int XGpio_SelfTest | ( | XGpio * | InstancePtr | ) |

  | Run a self-test on the driver/device. This function does a minimal test in which the data register is read. It only does a read without any kind of test because the hardware has been parameterized such that it may be only an input such that the state of the inputs won't be known. All other hardware features of the device are not guaranteed to be in the hardware since they are parameterizable. Parameters:
  | InstancePtr | is a pointer to the XGpio instance to be worked on. This parameter must have been previously initialized with XGpio_Initialize().
Returns: XST_SUCCESS always. If the GPIO device was not present in the hardware a bus error could be generated. Other indicators of a bus error, such as registers in bridges or buses, may be necessary to determine if this function caused a bus error. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.